Get Call Permission
curl --request GET \
--url https://api.flowiq.live/v1/calls/permissions/{whatsapp_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_id": "27820000000",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission": {
"status": "no_permission",
"expires_at": "2023-11-07T05:31:56Z"
},
"can_start_call": true,
"can_send_permission_request": true,
"limits": {
"start_call": [
{
"time_period": "PT24H",
"max_allowed": 123,
"current_usage": 123,
"limit_expires_at": "2023-11-07T05:31:56Z"
}
],
"send_call_permission_request": [
{
"time_period": "PT24H",
"max_allowed": 123,
"current_usage": 123,
"limit_expires_at": "2023-11-07T05:31:56Z"
}
]
},
"last_reply": {
"response": "accept",
"is_permanent": true,
"expires_at": "2023-11-07T05:31:56Z",
"at": "<string>"
}
}{
"error": "Request failed",
"message": "Parameter value is not valid"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}{
"error": "Request failed",
"message": "Contact has not granted callback permission"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}Permission
Get Call Permission
WhatsApp’s live answer: may you call this person now, and how many requests and calls you have left. Scope: read.
GET
/
v1
/
calls
/
permissions
/
{whatsapp_id}
Get Call Permission
curl --request GET \
--url https://api.flowiq.live/v1/calls/permissions/{whatsapp_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flowiq.live/v1/calls/permissions/{whatsapp_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_id": "27820000000",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission": {
"status": "no_permission",
"expires_at": "2023-11-07T05:31:56Z"
},
"can_start_call": true,
"can_send_permission_request": true,
"limits": {
"start_call": [
{
"time_period": "PT24H",
"max_allowed": 123,
"current_usage": 123,
"limit_expires_at": "2023-11-07T05:31:56Z"
}
],
"send_call_permission_request": [
{
"time_period": "PT24H",
"max_allowed": 123,
"current_usage": 123,
"limit_expires_at": "2023-11-07T05:31:56Z"
}
]
},
"last_reply": {
"response": "accept",
"is_permanent": true,
"expires_at": "2023-11-07T05:31:56Z",
"at": "<string>"
}
}{
"error": "Request failed",
"message": "Parameter value is not valid"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}{
"error": "Request failed",
"message": "Contact has not granted callback permission"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}WhatsApp’s live answer for one person: may you call them right now, and how many permission requests and calls you have left.
last_reply is their last answer to a request, as FlowIQ recorded it. Use /v1/calls/permissions?contact_id=… to look someone up by FlowIQ contact id.
Basic Usage
curl "https://api.flowiq.live/v1/calls/permissions/27820000000" \
-H "Authorization: Bearer fiq_YOUR_API_KEY"
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
whatsapp_id | string | Yes | The person’s WhatsApp number with country code, digits only |
Response
Success (200)
{
"organization_id": "a4234f32-…",
"whatsapp_id": "27820000000",
"contact_id": "9b8a7c6d-…",
"permission": { "status": "temporary", "expires_at": "2026-11-02T10:15:00.000Z" },
"can_start_call": true,
"can_send_permission_request": false,
"limits": {
"start_call": [],
"send_call_permission_request": [
{ "time_period": "PT24H", "max_allowed": 1, "current_usage": 1, "limit_expires_at": "2026-10-27T10:15:00.000Z" },
{ "time_period": "P7D", "max_allowed": 2, "current_usage": 1, "limit_expires_at": null }
]
},
"last_reply": { "response": "accept", "is_permanent": false, "expires_at": "2026-11-02T10:15:00.000Z", "at": "2026-10-26T10:15:02+02:00" }
}
permission.status is no_permission, temporary (until expires_at) or permanent.Authorizations
Your FlowIQ organisation API key (Settings → API Keys), sent as a bearer token. Format: Bearer fiq_YOUR_API_KEY
Path Parameters
The person's WhatsApp number with country code
Response
Success
Example:
"27820000000"
Show child attributes
Show child attributes
WhatsApp allows a call to this person right now
Show child attributes
Show child attributes
The person's last answer to a permission request, as FlowIQ recorded it
Show child attributes
Show child attributes

